Clusters
All operations require authentication.
List clustersProduction
Returns the clusters of the Logs Data Platform service.
Path parameters
Service name
Query parameters
Filter by name (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ cluster \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List cluster retentionsProduction
Returns the cluster retentions of the Logs Data Platform service.
Path parameters
Cluster ID
Service name
Response
Example uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ cluster/ {clusterId}/ retention \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a clusterProduction
Returns the cluster.
Path parameters
Cluster ID
Service name
Response
Allowed networks for ARCHIVE flow type
Certification level of the given cluster
HDSPCI_DSSSNCSOC2STANDARDTRUSTED_ZONECluster ID
Cluster type
DEDICATEDSHAREDPEM for dedicated inputs
Retention ID used by default when none is given on new stream
Allowed networks for DIRECT_INPUT flow type
PEM for direct inputs
Hostname
All content generated by given service will be placed on this cluster
Allow given service to perform advanced operations on cluster
Allowed networks for QUERY flow type
Data center localization
BHSGRAP-19RBXSBGExample uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ cluster/ {clusterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "archiveAllowedNetworks": [ "192.0.2.0/24" ], "certificationLevel": "HDS", "clusterId": "00000000-0000-0000-0000-000000000000", "clusterType": "DEDICATED", "dedicatedInputPEM": "string", "defaultRetentionId": "00000000-0000-0000-0000-000000000000", "directInputAllowedNetworks": [ "192.0.2.0/24" ], "directInputPEM": "string", "hostname": "string", "isDefault": true, "isUnlocked": true, "queryAllowedNetworks": [ "192.0.2.0/24" ], "region": "BHS"}
Get a cluster retentionProduction
Returns the cluster retention.
Path parameters
Cluster ID
Retention ID
Service name
Response
Indexed duration expressed in ISO-8601 format
Indicates if a new stream can use it
Retention ID
Retention type
LOGS_COLD_STORAGELOGS_INDEXINGMETRICS_TENANTExample uses clusterId = 00000000-0000-0000-0000-000000000000, retentionId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ cluster/ {clusterId}/ retention/ {retentionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "duration": "string", "isSupported": true, "retentionId": "00000000-0000-0000-0000-000000000000", "retentionType": "LOGS_COLD_STORAGE"}
Update a clusterProduction
Updates the cluster.
Path parameters
Cluster ID
Service name
Request body (required)
Allowed networks for ARCHIVE flow type
Allowed networks for DIRECT_INPUT flow type
Allowed networks for QUERY flow type
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses clusterId = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ cluster/ {clusterId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}